summaryrefslogtreecommitdiff
path: root/x11-misc/lightdm-gtk-greeter
diff options
context:
space:
mode:
authorbionel <ionel.busuioc@gmail.com>2015-08-25 21:28:15 +0300
committerbionel <ionel.busuioc@gmail.com>2015-08-25 21:28:15 +0300
commitf15aaae6b310a323d35cd015aeaacefa62bfbf7f (patch)
treefa769297be42de26d52373dbf08768e6c031ce8b /x11-misc/lightdm-gtk-greeter
parente62e04f1b9e4a019680935f86d99e73623b325de (diff)
more lightdm pimping
new file: x11-misc/lightdm-gtk-greeter/files/kogaion-logo.png new file: x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r2.ebuild Not manifested!!!
Diffstat (limited to 'x11-misc/lightdm-gtk-greeter')
-rw-r--r--x11-misc/lightdm-gtk-greeter/files/kogaion-logo.pngbin0 -> 3298 bytes
-rw-r--r--x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r2.ebuild48
2 files changed, 48 insertions, 0 deletions
diff --git a/x11-misc/lightdm-gtk-greeter/files/kogaion-logo.png b/x11-misc/lightdm-gtk-greeter/files/kogaion-logo.png
new file mode 100644
index 00000000..252683cd
--- /dev/null
+++ b/x11-misc/lightdm-gtk-greeter/files/kogaion-logo.png
Binary files differ
diff --git a/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r2.ebuild b/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r2.ebuild
new file mode 100644
index 00000000..7814016f
--- /dev/null
+++ b/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit versionator
+
+DESCRIPTION="LightDM GTK+ Greeter"
+HOMEPAGE="http://launchpad.net/lightdm-gtk-greeter"
+SRC_URI="http://launchpad.net/lightdm-gtk-greeter/$(get_version_component_range 1-2)/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~ppc x86"
+IUSE=""
+
+# This ebuild needs custom Kogaion themes, thus it must depend on kogaion-artwork-core
+DEPEND="x11-libs/gtk+:3"
+RDEPEND="!!<x11-misc/lightdm-1.1.1
+ app-eselect/eselect-lightdm
+ x11-libs/gtk+:3
+ >=x11-misc/lightdm-1.2.2
+ x11-themes/gnome-themes-standard
+ x11-themes/gnome-icon-theme
+ x11-themes/kogaion-artwork-core"
+
+src_prepare() {
+ # Apply custom Kogaion settings
+ sed -i \
+ -e 's:#background=.*:background=/usr/share/backgrounds/kgdm.png:' \
+ -e 's:#xft-hintstyle=.*:xft-hintstyle=hintfull:' \
+ -e 's:#xft-antialias=.*:xft-antialias=true:' \
+ -e 's:#position=.*:position=5% 50%:' \
+ -e 's:#xft-rgba=.*:xft-rgba=rgb:' "data/${PN}.conf" || die
+ insinto /usr/share/pixmaps
+ doins "${FILESDIR}/kogaion-logo.png"
+ echo 'default-user-image=/usr/share/pixmaps/kogaion-logo.png' | tee -a /etc/lightdm/lightdm-gtk-greeter.conf
+}
+
+pkg_postinst() {
+ # Make sure to have a greeter properly configured
+ eselect lightdm set lightdm-gtk-greeter --use-old
+}
+
+pkg_postrm() {
+ eselect lightdm set 1 # hope some other greeter is installed
+}